Bug 14062 - [META] segfault fix backport and undoguididx script fix and test
Summary: [META] segfault fix backport and undoguididx script fix and test
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB (show other bugs)
Version: 4.10.6
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-31 01:34 UTC by Aaron Haslett
Modified: 2019-09-03 11:46 UTC (History)
3 users (show)

See Also:


Attachments
patch for Samba 4.10 (backported/cherry-picked from master) (64.60 KB, patch)
2019-07-31 01:34 UTC, Aaron Haslett
abartlet: review+
garming: review+
Details
patch for Samba 4.9 (backported/cherry-picked from master) (75.84 KB, patch)
2019-07-31 01:37 UTC, Aaron Haslett
abartlet: review+
Details
patch for Samba 4.9 (backported/cherry-picked from master) v2 (76.17 KB, patch)
2019-08-26 03:52 UTC, Andrew Bartlett
garming: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Haslett 2019-07-31 01:34:42 UTC
Created attachment 15353 [details]
patch for Samba 4.10 (backported/cherry-picked from master)

13978 relies on 13959 and the narrative behind both bugs is now confusing as I made a few mistakes while learning how to backport properly.

This bug contains patches for backports for 4.9.11 and 4.10.6 with all necessary stuff from 13978 and 13959 in the right order.
Comment 1 Aaron Haslett 2019-07-31 01:37:22 UTC
Created attachment 15354 [details]
patch for Samba 4.9 (backported/cherry-picked from master)
Comment 2 Aaron Haslett 2019-08-23 00:31:01 UTC
There's an issue with the 4.9.11 patch that I'm following up on but the 4.10.6 passed on devel and catalyst gitlabs:

https://gitlab.com/samba-team/devel/samba/pipelines/73839240
https://gitlab.com/catalyst-samba/samba/pipelines/73839042

The 4.10 patch still applies so that can go in, as is, with the next release.  @abartlet and @garming please pass review on the 4.10 patch if you agree.

Info on 4.9 to come.
Comment 3 Andrew Bartlett 2019-08-23 02:05:26 UTC
We need this in Samba 4.10 (and ideally Samba 4.9 if we understand why Aaron was seeing CI failures) because otherwise users doing a downgrade without first using the script from bug 14059 will see segfaults.
Comment 4 Karolin Seeger 2019-08-23 08:49:10 UTC
Pushed to autobuild-v4-10-test.
Comment 5 Andrew Bartlett 2019-08-23 09:28:51 UTC
(In reply to Karolin Seeger from comment #4)
Thanks!

The further info on the 4.9 patch is what while Aaron is quite sure he has seen a convincing pattern that this patch series makes the GitLab CI flap more often when the final patch lands, the CI jobs that he sees failing more often don't even run the new test seen in the last commit.

I've looked at the failures and they are
 - schema failures due to races we have seen often and finally fixed in master
 - the nbt.dgram flapping test
 - the KCC race between the explicit test and the server-triggered kcc run.  The test just returns 'busy' to the request to run it while running.
 - one runtime exceeded issue

Aaron is trying to get more data over the weekend.
Comment 6 Aaron Haslett 2019-08-25 22:21:41 UTC
I initially got 5 failures in a row from a 4.9.11 branch with this bug's patch set on, and 2 passes from samba-v4.9.11 HEAD.  That lead me to believe there was a problem, so I tried manually bisecting the patch set using CI but the failure pattern wasn't strong enough to give me any certainty as to the offending patch.  I did see some failures on 4.9.11 HEAD.  Andrew believes what I'm seeing is merely the pre-existing instability of 4.9, and further testing has made that theory more likely.  I'm a little uneasy but it's probably unreasonable to insist on holding this back, so let's push it.
Comment 7 Andrew Bartlett 2019-08-26 03:52:46 UTC
Created attachment 15426 [details]
patch for Samba 4.9 (backported/cherry-picked from master) v2

This updated patch addresses some whitespace issues in the part of the patch that couldn't be directly backported.
Comment 8 Karolin Seeger 2019-08-27 10:27:17 UTC
(In reply to Andrew Bartlett from comment #7)
Ok, thanks.
Pushed to autobuild-v4-9-test.
Comment 9 Karolin Seeger 2019-09-03 11:46:26 UTC
Pushed to v4-9-test.
Closing out bug report.

Thanks!